# frozen_string_literal: true

require 'httparty'

module Clipwn
  # Interactions with ;) have I been pwned
  module Hibp

    # API for hibp
    class API
      include HTTParty
      base_uri 'https://haveibeenpwned.com/api'
      headers Accept: 'application/vnd.haveibeenpwned.v2+json', 'User-Agent': 'clipwn'

      def breaches
        self.class.get '/breaches'
      end
    end

    # Exposed CLI
    class Cli < Thor
      no_commands do
        def api
          @api ||= API.new
        end
      end

      desc 'breaches', 'List current breaches'
      def breaches
        puts api.breaches
      end
    end

  end
end
